Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.math
Class ROC

    java.lang.Object
      baseCode.math.ROC

public class ROC
extends java.lang.Object

Functions for calculating Receiver operator characteristics.

Copyright (c) 2004 Columbia University

Version:
  $Id: ROC.java,v 1.13 2004/08/16 00:21:40 pavlidis Exp $
Author:
  Paul Pavlidis

Constructor Summary
`ROC()`

Method Summary
`static double` | `aroc(int totalSize, java.util.Set ranks)` Calculate area under ROC.
`static double` | `aroc(int totalSize, java.util.Set ranks, int maxFP)` Calculate area under ROC, up to a given number of False positives.
`static double` | `rocpval(int numpos, double aroc)` For an AROC value, calculates a p value based on approximation for calculating the stanadard deviation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ROC

    public ROC()

Method Detail

### aroc

    public static double aroc(int totalSize,
                              java.util.Set ranks)

  Calculate area under ROC. The input is the total number of items in the data, and the ranks of the positives in the current ranking. LOW ranks are considered better. (e.g., rank 0 is the 'best')

  Parameters:
    `totalSize` - int
    `ranks` - Map
  Returns:
    AROC

### aroc

    public static double aroc(int totalSize,
                              java.util.Set ranks,
                              int maxFP)

  Calculate area under ROC, up to a given number of False positives. The input is the total number of items in the data, and the ranks of the positives in the current ranking. LOW ranks are considered better. (e.g., rank 0 is the 'best')

  Parameters:
    `totalSize` - int
    `ranks` - Map
    `maxFP` - - the maximum number of false positives to see before stopping. Set to 50 to get the Gribskov roc50. If maxFP <= 0, it is ignored.
  Returns:
    AROC

### rocpval

    public static double rocpval(int numpos,
                                 double aroc)

  For an AROC value, calculates a p value based on approximation for calculating the stanadard deviation. Highly approximate!

  Parameters:
    `numpos` - How many positives are in the data.
    `aroc` - The AROC
  Returns:
    The p value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.